Bug 176207 - WSL should support loading from arrays
Summary: WSL should support loading from arrays
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGPU (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Filip Pizlo
URL:
Keywords: InRadar
Depends on:
Blocks: 176199
  Show dependency treegraph
 
Reported: 2017-08-31 19:28 PDT by Filip Pizlo
Modified: 2018-10-13 19:58 PDT (History)
4 users (show)

See Also:


Attachments
the patch (31.70 KB, patch)
2017-08-31 19:36 PDT, Filip Pizlo
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2017-08-31 19:28:53 PDT
Patch forthcoming.
Comment 1 Filip Pizlo 2017-08-31 19:36:43 PDT
Created attachment 319565 [details]
the patch
Comment 2 Saam Barati 2017-08-31 19:42:54 PDT
Comment on attachment 319565 [details]
the patch

View in context: https://bugs.webkit.org/attachment.cgi?id=319565&action=review

> Tools/WebGPUShadingLanguageRI/Parse.js:182
> +            if (uintVersion + "u" != token.text)

I'd use !==
Comment 3 Filip Pizlo 2017-08-31 19:51:56 PDT
(In reply to Saam Barati from comment #2)
> Comment on attachment 319565 [details]
> the patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=319565&action=review
> 
> > Tools/WebGPUShadingLanguageRI/Parse.js:182
> > +            if (uintVersion + "u" != token.text)
> 
> I'd use !==

Fixed.
Comment 4 Filip Pizlo 2017-08-31 19:52:39 PDT
Landed in https://trac.webkit.org/changeset/221468/webkit
Comment 5 Radar WebKit Bug Importer 2017-09-27 12:52:02 PDT
<rdar://problem/34694170>
Comment 6 Myles C. Maxfield 2018-10-13 19:58:46 PDT
Migrated to https://github.com/gpuweb/WHLSL/issues/202